summaryrefslogtreecommitdiff
path: root/net-analyzer/g-wan
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /net-analyzer/g-wan
Added ebuilds for kogaion desktop
Diffstat (limited to 'net-analyzer/g-wan')
-rw-r--r--net-analyzer/g-wan/g-wan-2012.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/net-analyzer/g-wan/g-wan-2012.ebuild b/net-analyzer/g-wan/g-wan-2012.ebuild
new file mode 100644
index 00000000..bfc4fdbc
--- /dev/null
+++ b/net-analyzer/g-wan/g-wan-2012.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit unpacker multilib versionator eutils
+
+MY_G="gwan"
+
+DESCRIPTION="G-Wan Analyzer"
+HOMEPAGE="http://g-wan.ch/"
+SRC_URI="http://${MY_G}.ch/archives/gwan_linux64-bit.tar.bz2
+ http://${MY_G}.ch/archives/gwan_linux32-bit.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+
+RDEPEND="x11-libs/pango
+ amd64? (
+ app-emulation/emul-linux-x86-gtklibs
+ app-emulation/emul-linux-x86-baselibs )"
+DEPEND=""
+
+S="${WORKDIR}"
+
+src_install() {
+ cd "${S}" || die
+ sh ./gwan || die
+}